import { ContractFactory, Signer } from "ethers";
import { Provider } from "ethers/providers";
import { UnsignedTransaction } from "ethers/utils/transaction";
import { TransactionOverrides } from ".";
import { Issuer } from "./Issuer";
export declare class IssuerFactory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: TransactionOverrides): Promise<Issuer>;
    getDeployTransaction(overrides?: TransactionOverrides): UnsignedTransaction;
    attach(address: string): Issuer;
    connect(signer: Signer): IssuerFactory;
    static connect(address: string, signerOrProvider: Signer | Provider): Issuer;
}
